Solid Edge FrameworkSupport Type Library
AddByTerminator Method
Specifies the object to which the terminal end of the leader connects.
Specifies the coordinates of the leader's start locate point. This point is used as a proximity point while calculating the key point. The z1 argument applies only to 3-D objects.
Specifies the coordinates of the leader's start locate point. This point is used as a proximity point while calculating the key point. The z1 argument applies only to 3-D objects.
Specifies the coordinates of the leader's start locate point. This point is used as a proximity point while calculating the key point. The z1 argument applies only to 3-D objects.
Specifies whether the object or a key point of the TerminatorObject is to be considered. If KeyPoint is True, the leader's terminal end is placed with respect to the TerminatorObject; if KeyPoint is False, the nearest key point on that object is selected.
Description
Creates a Leader or annotation object with a Leader.
Syntax
Visual Basic
Public Function AddByTerminator( _
   ByVal TerminatorObject As Object, _
   ByVal x As Double, _
   ByVal y As Double, _
   ByVal z As Double, _
   ByVal keyPoint As Boolean _
) As FeatureControlFrame
Parameters
TerminatorObject
Specifies the object to which the terminal end of the leader connects.
x
Specifies the coordinates of the leader's start locate point. This point is used as a proximity point while calculating the key point. The z1 argument applies only to 3-D objects.
y
Specifies the coordinates of the leader's start locate point. This point is used as a proximity point while calculating the key point. The z1 argument applies only to 3-D objects.
z
Specifies the coordinates of the leader's start locate point. This point is used as a proximity point while calculating the key point. The z1 argument applies only to 3-D objects.
keyPoint
Specifies whether the object or a key point of the TerminatorObject is to be considered. If KeyPoint is True, the leader's terminal end is placed with respect to the TerminatorObject; if KeyPoint is False, the nearest key point on that object is selected.
Remarks
To create the annotation object with this method, specify the object to which the leader connects. As a result of this method, the annotation object is automatically positioned with respect to the object to which the leader connects.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objLine As SolidEdgeFrameworkSupport.Line2d
    Dim objFCFs As SolidEdgeFrameworkSupport.FeatureControlFrames
    Dim objFCF As SolidEdgeFrameworkSupport.FeatureControlFrame
    ' Local variables to be declared here
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    'Get the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'Draw a line to be set as terminator object for the FeatureControlFrame
    Set objLine = objSheet.Lines2d.AddBy2Points(x1:=0.1, y1:=0.1, x2:=0.2, y2:=0.1)
    'Get the FeatureControlFrames collection object
    Set objFCFs = objSheet.FeatureControlFrames
    'Add a new FeatureControlFrame
    Set objFCF = objFCFs.AddByTerminator(TerminatorObject:=objLine, x:=0.125, y:=0.1, z:=0, keypoint:=False)
    objFCF.PrimaryFrame = "FLVB0.001MCVBA"
    Call objFCF.AddVertex(x:=0.2, y:=0.2, z:=0)
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objLine = Nothing
    Set objFCFs = Nothing
    Set objFCF = Nothing
End Sub
See Also

FeatureControlFrames Collection  | FeatureControlFrames Members

Send comments on this topic.